Ubuntu

Please merge xenomai 2.6.2.1-2 (universe) from Debian unstable (main)

Reported by Alessandro Losavio on 2013-06-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xenomai (Ubuntu)
Undecided
Unassigned

Bug Description

I just set OMAP3 as default target machine as that is the closest to what we support from what upstream configure script has to offer.

xenomai (2.6.2.1-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.4
  * debian/compat: 9
  * Fix build on powerpcspe by patching upstream
  * Malfunction of FD_ISSET with RTDM is fixed upstream, thanks
    to Alexandre Duch and Gilles Chanteperdrix (Closes: #695657)

 -- Roland Stigge <email address hidden> Thu, 09 May 2013 18:31:31 +0200

xenomai (2.6.2.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <email address hidden> Sat, 26 Jan 2013 15:07:20 +0100

xenomai (2.6.2-1) experimental; urgency=low

  * New upstream release
  * Added powerpcspe to list of supported architectures

 -- Roland Stigge <email address hidden> Thu, 27 Dec 2012 13:08:39 +0100

xenomai (2.6.1-git20121216-1) experimental; urgency=low

  * New upstream pre-release

 -- Roland Stigge <email address hidden> Sun, 16 Dec 2012 11:44:21 +0100

xenomai (2.6.1-2) experimental; urgency=low

  * Removed obsolete Debian patches
  * Include newer ipipe patches into binary package

 -- Roland Stigge <email address hidden> Mon, 13 Aug 2012 14:43:44 +0200

xenomai (2.6.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <email address hidden> Thu, 02 Aug 2012 17:40:54 +0200

xenomai (2.6.0-2) unstable; urgency=low

  * Add patch from upstream, fixing a bug in clock_nanosleep (Closes: #677633)
    Comment from patch author:
      Note however that with xenomai, a signal received during nanosleep will
      trigger a switch to secondary mode. So, this usage is only possible for
      a real-time thread in exceptional conditions (to handle an error for
      instance), not when latency matters.
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <email address hidden> Sat, 16 Jun 2012 17:10:54 +0200

xenomai (2.6.0-1) unstable; urgency=low

  * New upstream release
  * Needed to autoreconf, adding necessary build-dependencies

 -- Roland Stigge <email address hidden> Sun, 06 Nov 2011 15:32:52 +0100

xenomai (2.5.6-3) unstable; urgency=low

  * Added -fno-ommit-frame-pointer to build, necessary from gcc 4.6 on
    (Closes: #637425)
  * Removed *.la files from libxenomai-dev

 -- Roland Stigge <email address hidden> Fri, 12 Aug 2011 20:39:11 +0200

xenomai (2.5.6-2) unstable; urgency=low

  * Removed usage of dh-kpatches in the build process (and from Build-Depends)
    since this package will probably be removed from Debian (and make-kpkg
    doesn't support automatic patching anymore anyway)
  * Standards-Version: 3.9.2
  * debhelper compatibility level 8

 -- Roland Stigge <email address hidden> Wed, 04 May 2011 11:09:19 +0200

xenomai (2.5.6-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <email address hidden> Thu, 07 Apr 2011 17:52:24 +0200

Changed in xenomai (Ubuntu):
status: New → In Progress
assignee: nobody → Alessandro Losavio (alo21)
summary: - Please merge xenoami 2.6.2.1-2 (universe) from Deabian unstable (main)
+ Please merge xenomai 2.6.2.1-2 (universe) from Debian unstable (main)
Alessandro Losavio (alo21) wrote :

updated changelog correctly.

James Page (james-page) wrote :

Hi Alessandro

Thanks for taking the time to prepare this merge.

A few comments:

1) preservation of ubuntu changelog entries.

Currently your debdiff does not preserve the changelog entries for previous Ubuntu versions. As this is a merge, it really should do this.

2) dropped changes.

As well as documenting which changes are still required in Ubuntu, its best practice to also document which Ubuntu changes have been dropped and why - for example the fix_thumb_build.patch has been dropped, but no details are provided as to why that is the case.

I'd recommend that you take a look at the 'grab-merge' tool in the ubuntu-dev-tools package as this does most of the hard work re changelogs etc.. leaving the user to just resolve outstanding conflicts etc..

Alessandro Losavio (alo21) wrote :

This is the debdiff with james-page observations. I hope this is fine.

Dmitry Shachnev (mitya57) wrote :

Thanks for your work.

If your debdiff in comment 4 is against the current version in Debian, then changes to debian/control and debian/libxenomai1.{postinst,preinst,postrm} are not documented in the changelog. Please fix that.

Alessandro Losavio (alo21) wrote :

Here is updated changelog with all documented changes

Michael Bienia (geser) wrote :

On a first look your merge looks pretty good, but some minor comments:

- "Add lpia to supported architectures."

I can't see any changes related to this point, besides we don't support lpia anymore => You can drop this line

The following changes are undocumented:

+Breaks: udev (<< 136-1)

(though the other related changes are documented)
You can probably drop this change as all supported Ubuntu releases have a newer version than the mentioned one.

- dh_installdocs -s -A
+ dh_installdocs -s -A CREDITS README.INSTALL TROUBLESHOOTING

This look like a change that was done in the Debian package that you undid as it wasn't in the previous Ubuntu delta.

Alessandro Losavio (alo21) wrote :

updated changelog and edited debian/rules as geser suggested

Dmitry Shachnev (mitya57) wrote :

Uploaded to saucy.

Changed in xenomai (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xenomai - 2.6.2.1-2ubuntu2

---------------
xenomai (2.6.2.1-2ubuntu2) saucy; urgency=low

  * Do not strip the testsuite. Should work-around a build failure.
 -- Dmitry Shachnev <email address hidden> Sat, 08 Jun 2013 18:41:52 +0400

Changed in xenomai (Ubuntu):
status: Fix Committed → Fix Released
Changed in xenomai (Ubuntu):
assignee: Alessandro Losavio (alo21) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers